Package org.apache.sling.scripting.jsp.taglib

# Class EncodeTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.tagext.BodyTagSupport
org.apache.sling.scripting.jsp.taglib.EncodeTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class EncodeTag extends javax.servlet.jsp.tagext.BodyTagSupport
Tag for writing properly XSS encoded text to the response using the OWASP ESAPI for supporting a number of encoding modes.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`EncodeTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doEndTag()`
`int`
`doStartTag()`
`String`
`getDefault()`
`String`
`getMode()`
`String`
`getValue()`
`void`
`setDefault(String defaultValue)`
`void`
`setMode(String mode)`
`void`
`setValue(String value)`

### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

## Constructor Details

### EncodeTag

public EncodeTag()

## Method Details

### doEndTag

public int doEndTag() throws javax.servlet.jsp.JspException

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
Throws:
  `javax.servlet.jsp.JspException`

### doStartTag

public int doStartTag() throws javax.servlet.jsp.JspException

Specified by:
  `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
Throws:
  `javax.servlet.jsp.JspException`

### getDefault

public String getDefault()

Returns:
  the default value

### getMode

public String getMode()

Returns:
  the mode

### getValue

public String getValue()

Returns:
  the value

### setDefault

public void setDefault(String defaultValue)

Parameters:
  `defaultValue` - the default value to set

### setMode

public void setMode(String mode)

Parameters:
  `mode` - the mode to set

### setValue

public void setValue(String value)

Parameters:
  `value` - the value to set